Read unread messages in conversation
curl --request POST \
--url https://{host}/api/{session}/chats/{chatId}/messages/read \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/chats/{chatId}/messages/read"
headers = {"apikey": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/chats/{chatId}/messages/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ids": [
"<string>"
]
}Chats
Mark as Read
The parameter must be the session’s instanceName.
POST
/
api
/
{session}
/
chats
/
{chatId}
/
messages
/
read
Read unread messages in conversation
Authorizations
Your Wappfy API key (get it at dash.wappfy.com.br)
Path Parameters
Session name (instanceName)
Conversation ID
Query Parameters
How much messages to read (latest first)
How much days to read (latest first)
Response
201 - application/json
Messages IDs that have been read
⌘I
